Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IStreamCaptureMetadata Class Reference
StreamMetadata

Interface to per-stream metadata (provided by ICaptureMetadata::getStreamMetadata()). More...

`#include <CaptureMetadata.h>`

Inheritance diagram for Argus::IStreamCaptureMetadata:

List of all members.

## Public Member Functions
virtual Rectangle< float > | getSourceClipRect () const =0
| Returns the clip rectangle used for this stream.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IStreamCaptureMetadata ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to per-stream metadata (provided by ICaptureMetadata::getStreamMetadata()).

Definition at line 146 of file CaptureMetadata.h.

## Constructor & Destructor Documentation

Argus::IStreamCaptureMetadata::~IStreamCaptureMetadata | ( |  | ) |
| inline protected

Definition at line 159 of file CaptureMetadata.h.

## Member Function Documentation

virtual Rectangle<float> Argus::IStreamCaptureMetadata::getSourceClipRect | ( |  | ) | const
| pure virtual

Returns the clip rectangle used for this stream.

static const InterfaceID& Argus::IStreamCaptureMetadata::id | ( |  | ) |
| inline static

Definition at line 150 of file CaptureMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/CaptureMetadata.h